Page MenuHomePhabricator

"Save page" on VisualEditor toolbar should be progressive
Closed, ResolvedPublic1 Story Points

Description

The "Save page" in the toolbar (i.e. the one that opens the save dialog, not the one that finalizes the save) should be 'progressive' (see style guide). In current skins (e.g. Vector) 'progressive' is rendered as a blue background.

Basically, 'progressive' (blue) means you're continuing the process (e.g. opening a dialog), while 'constructive' (rendered as green in current skins) means you're finalizing the process and taking a non-negative action (e.g. saving a page).

We want to maintain this distinction in general, but it's particularly important here because it uses the same text for both.

I understand that VisualEditor is not actually using the mediawiki.ui modules, but my understanding is the general idea is to be consistent with the style guide.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Jdforrester-WMF triaged this task as Normal priority.Jan 12 2015, 9:15 PM

Yes, it should be blue progressive. Good point, thanks!

Isn't this going to be a bit jarring, having different colours for the two different save buttons…

Jay8g added a subscriber: Jay8g.Jan 13 2015, 1:47 AM

I think the colors might help with the issue of the multiple save buttons being confusing (T44138: VisualEditor: Toolbar "Save page" button is confusing as it merely opens the dialog to save the page), especially if MW-UI standards were consistently used.

Change 184538 had a related patch set uploaded (by Jforrester):
Toolbar: Make save button progressive, not constructive

https://gerrit.wikimedia.org/r/184538

Patch-For-Review

Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

Change 184538 merged by jenkins-bot:
Toolbar: Make save button progressive, not constructive

https://gerrit.wikimedia.org/r/184538

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 13 2015, 3:54 PM

Verified the fix in Betalabs and test2

Jdforrester-WMF edited a custom field.Mar 9 2015, 6:08 PM